%global momorel 4

Summary: Libraries to use the Unidata network Common Data Form (netCDF)
Name: netcdf
Version: 3.6.2
Release: %{momorel}m%{?dist}
License: "see COPYRIGHT"
Group: Development/Libraries
Source0: ftp://ftp.unidata.ucar.edu/pub/netcdf/%{name}-%{version}.tar.gz 
NoSource: 0
Source1: http://www.gfd-dennou.org/arch/netcdf/netcdf-jman/guidec_ja.tar.gz 
NoSource: 1
URL: http://www.unidata.ucar.edu/packages/netcdf/
BuildRequires: gcc-gfortran >= 4.0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1: netcdf-3.6.2-gcc43.patch

%description
NetCDF (network Common Data Form) is an interface for array-oriented data access and a library that provides an implementation of the interface. The netCDF library also defines a machine-independent format for representing scientific data. Together, the interface, library, and format support the creation, access, and sharing of scientific data.

# I will split subpackage after Mo4 release
%if 0
%package devel
Summary:        Development files for netcdf-3
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the netCDF-3 header files, shared devel libs, and 
man pages.
%endif

%prep
%setup -q -a1 -n %{name}-%{version}
mv Output HTML-ja

%patch1 -p1 -b .gcc43~

%build
export FC="gfortran"
export F90="gfortran"
export CPPFLAGS="-fPIC"
export FFLAGS="-fPIC ${RPM_OPT_FLAGS}"
export F90FLAGS="$FFLAGS"
export FCFLAGS="$FFLAGS"
%configure --enable-shared
%make

make check

%install
rm -rf %{buildroot}
%makeinstall
%if 0
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/netcdf-3
/bin/mv ${RPM_BUILD_ROOT}%{_includedir}/*.* \
  ${RPM_BUILD_ROOT}%{_includedir}/netcdf-3
#
#  Does the /usr/include/netcdf-3/netcdf.mod file really belong in 
#  /usr/include/netcdf-3/ or should it go in /usr/lib/netcdf-3 ???
#  I suppose this should be decided on after some testing since the 
#  gfortran *.mod file appears to be ACSII text, not a binary file.
#
#  mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/netcdf-3
#  /bin/mv -f ${RPM_BUILD_ROOT}%{_includedir}/netcdf-3/*.mod
#    ${RPM_BUILD_ROOT}%{_libdir}/netcdf-3
%endif  
/bin/rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la

%clean
if [ "%{buildroot}" != "/" ]; then
    rm -rf %{buildroot}
fi

%files
%defattr(-,root,root)
%doc README COPYRIGHT INSTALL RELEASE_NOTES
%doc HTML-ja
%{_libdir}/*.so.*
%{_includedir}/*
%{_mandir}/man1/*
%{_bindir}/*
%if 0
%files devel
%defattr(-,root,root,-)
%endif
%if 0
%{_includedir}/netcdf-3
%endif
%{_libdir}/*.so
%{_mandir}/man3/*
%{_libdir}/*.a

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.6.2-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.6.2-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.2-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Thu May 31 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6.2-1m)
- update to 3.6.2

* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6.1-2m)
- revised flags (remove -fPIC) to fix build error

* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6.1-1m)
- import to Momonga for octave-forge

* Thu Apr 06 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.6.1-0.0.1m)
- 3.6.1

* Tue Aug 09 2005 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.6.1-0.0.0.beta3.1m)
- update to 3.6.1-beta3

* Mon Dec 22 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.5.1-0.0.0.13.1m)
- update to 3.5.1-beta13

* Sat Jan 18 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.5.0-0.0.1m)
- build for Momonga Linux

* Sat Jun 29 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.5.0-0.1kl)
- rebuild for Kondara MNU/Linux 2.1
- include Japanese reference at http://win-k.gfd-dennou.org/netCDF/index.html
- no f90 interface is build

* Thu Jan 31 2002 Jhon H. Caicedo <jhcaiced@osso.org.co>
- rebuilt for version 3.5.0

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fixed man page location to be FHS compliant
- use %%makeinstall and %%configure

* Tue Mar 28 2000 Tim Powers <timp@redhat.com>
- got package for contrib on ftp.redhat.com
- started changelog
- quiet setup
- changed buildroot and group
- RPM handles gsipping man pages now, no longer needed in spec file
- cleaned up files list
- bzip source
